cgGetFirstTechniqueAnnotation(3)

NAME
cgGetFirstTechniqueAnnotation - get the first annotation of a technique

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetFirstTechniqueAnnotation( CGtechnique tech );

PARAMETERS

tech
    The technique from which to retrieve the annotation.

RETURN VALUES
Returns the first annotation in the given technique.

Returns NULL if the technique has no annotations or an error occurs.

DESCRIPTION
The annotations associated with a technique can be retrieved using cgGetFirstTechniqueAnnotation. The remainder of the technique's annotations can be discovered by iterating through the parameters, calling the cgGetNextAnnotation manpage to get to the next one.

EXAMPLES
  CGannotation ann = cgGetFirstTechniqueAnnotation( technique );
  while( ann )
  {
     /* do something with ann */
     ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetFirstTechniqueAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedTechniqueAnnotation manpage, the cgGetNextAnnotation manpage